//+------------------------------------------------------------------+
//|                                                   PatternDef.mq4 |
//|                                      Copyright  2012, MandySoft |
//|                             http://www.2p.cz/en/forex_metatrader |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, MandySoft"
#property link      "http://www.2p.cz/en/forex_metatrader"

// result of RecognizePatterns

#define PATTERN1_MASK       0x0000FF
#define PATTERN2_MASK       0x00FF00
#define PATTERN3_MASK       0xFF0000

#define PATTERN_NONE 0

// patterns are defined to by easily symetricaly switched around middle point, exception are non symmetric doji umbrella patterns

// white patterns
#define PATTERN1_WHITE_CANDLE 1
#define PATTERN1_SHORT_WHITE_CANDLE 2
#define PATTERN1_WHITE_SPINNING_TOP 3
#define PATTERN1_LONG_WHITE_CANDLE 4
#define PATTERN1_WHITE_MARUBOZU 5
#define PATTERN1_WHITE_CLOSING_MARUBOZU 6
#define PATTERN1_WHITE_OPENING_MARUBOZU 7
// trend+simple

//black patterns
#define PATTERN1_BLACK_CANDLE 11
#define PATTERN1_SHORT_BLACK_CANDLE 12
#define PATTERN1_BLACK_SPINNING_TOP 13
#define PATTERN1_LONG_BLACK_CANDLE 14
#define PATTERN1_BLACK_MARUBOZU 15
#define PATTERN1_BLACK_CLOSING_MARUBOZU 16
#define PATTERN1_BLACK_OPENING_MARUBOZU 17
//trend+simple

// grey
#define PATTERN1_GREY 21
#define PATTERN1_HIGH_WAVE 22
//#define PATTERN1_GREY_SHORT_CANDLE 23

// grey + trend  (separate mask space)

// doji
#define PATTERN1_DOJI 25
#define PATTERN1_FOUR_PRICE_DOJI 26
#define PATTERN1_LONG_LEGGED_DOJI 27
#define PATTERN1_UMBRELLA 28
#define PATTERN1_INVERTED_UMBRELLA 29

// bulish
#define PATTERN2_BULL_HARAMI           0x000100
#define PATTERN2_BULL_HARAMI_CROSS     0x000200
#define PATTERN2_BULL_ENGULFING        0x000300
#define PATTERN2_PIERCING              0x000400
#define PATTERN2_BULL_STAR             0x000500
#define PATTERN2_BULL_DOJI             0x000600
#define PATTERN2_BULL_LONG_LEGGED_DOJI 0x000700
#define PATTERN2_HAMMER                0x000800
#define PATTERN2_INVERTED_HAMMER       0x000900
#define PATTERN2_BULL_DRAGONFLY_DOJI   0x000A00
#define PATTERN2_BULL_GRAVESTONE_DOJI  0x000B00

#define PATTERN3_THREE_WHITE_SOLDIERS  0x010000
#define PATTERN3_THREE_OUTSIDE_UP      0x020000
#define PATTERN3_THREE_INSIDE_UP       0x030000
#define PATTERN3_MORNING_STAR          0x040000
#define PATTERN3_MORNING_DOJI          0x050000

// bearish
#define PATTERN2_BEAR_HARAMI           0x001000
#define PATTERN2_BEAR_HARAMI_CROSS     0x002000
#define PATTERN2_BEAR_ENGULFING        0x003000
#define PATTERN2_DARK_CLOUD_COVER      0x004000
#define PATTERN2_BEAR_STAR             0x005000
#define PATTERN2_BEAR_DOJI             0x006000
#define PATTERN2_BEAR_LONG_LEGGED_DOJI 0x007000
#define PATTERN2_SHOOTING_STAR         0x008000
#define PATTERN2_HANGING_MAN           0x009000
#define PATTERN2_BEAR_GRAVESTONE_DOJI  0x00A000
#define PATTERN2_BEAR_DRAGONFLY_DOJI   0x00B000

#define PATTERN3_THREE_BLACK_CROWS     0x100000
#define PATTERN3_THREE_OUTSIDE_DOWN    0x200000
#define PATTERN3_THREE_INSIDE_DOWN     0x300000
#define PATTERN3_EVENING_STAR          0x400000
#define PATTERN3_EVENING_DOJI          0x500000
                
// result GetPatternInfo

#define PATTERN_STICKS_NUMBER_MASK  0x000007

#define PATTERN_BULLISH             0x000080 
#define PATTERN_BEARISH             0x000100

#define PATTERN_CONTINUATION        0x000200
#define PATTERN_REVERSAL            0x000400

#define PATTERN_RELIABILITY_LOW     0x000800
#define PATTERN_RELIABILITY_MEDIUM  0x001000
#define PATTERN_RELIABILITY_HIGH    0x002000

#define PATTERN_TREND_UP            0x004000
#define PATTERN_TREND_DOWN          0x008000


